/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.application.MenuInitializer"); //$NON-NLS-1$

dojo.require("dm.app.analysis.ui.internal.application.AnalysisActions"); //$NON-NLS-1$
dojo.require("dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil"); //$NON-NLS-1$
dojo.require("dm.app.analysis.ui.internal.application.AnalysisMenu"); //$NON-NLS-1$

dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis.pages", "DMAnalysisMessages"); //$NON-NLS-1$ //$NON-NLS-2$
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis.pages", "DMAnalysisMessages"); //$NON-NLS-1$ //$NON-NLS-2$

var AnalysisActions = dm.app.analysis.ui.internal.application.AnalysisActions;
var AnalysisUtil = dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil;

/** 
 *  Initializes the Impact Analysis component menu by adding the actions for Browsing and Creating:
 *  Diagrams, Filters (aka Configs), and Profiles
 */

/** Adding the 'Browse' menu items */
dojox.lang.aspect.advise(dm.app.analysis.ui.internal.application.AnalysisMenu, "addAnalysisBrowseMenuItems", { //$NON-NLS-1$
	after: function() {
		var menu = dojox.lang.aspect.getContext().instance;

		// If this call is for IA menu items to be added
		if (menu.getCurrentSection() === AnalysisActions.SECTION_IMPACTANALYSIS) {
			
			menu.addItemByArgs({
				label: messages.allAnalysis,
				href: AnalysisUtil.getAllAnalysisUri(),
				icon: dojo.moduleUrl("dm.analysis.app", "graphics/icons/impact.gif") //$NON-NLS-1$ //$NON-NLS-2$
			});
			menu.addItemByArgs({
				label: messages.allAnalysisConfig,
				href: AnalysisUtil.getAllConfigAnalysisUri(),
				icon: dojo.moduleUrl("dm.analysis.app", "graphics/icons/ia_filter.gif") //$NON-NLS-1$ //$NON-NLS-2$
			});
			menu.addItemByArgs({
				label: messages.allAnalysisProfile,
				href: AnalysisUtil.getAllProfileAnalysisUri(),
				icon: dojo.moduleUrl("dm.analysis.app", "graphics/icons/ia_profile.gif") //$NON-NLS-1$ //$NON-NLS-2$
			});
		}
	}
});

/** Adding the 'Create' menu items */
dojox.lang.aspect.advise(dm.app.analysis.ui.internal.application.AnalysisMenu, "addAnalysisCreateMenuItems", { //$NON-NLS-1$
	after: function() {
		var menu = dojox.lang.aspect.getContext().instance;
		
		// If this call is for IA menu items to be added
		if (menu.getCurrentSection() === AnalysisActions.SECTION_IMPACTANALYSIS) {

			menu.addItemByArgs({
				label: messages.createAnalysis,
				onClick: function(){
					AnalysisUtil.createAnalysis();
				},
				//href: AnalysisUtil.getNewAnalysisUri(),
				icon: dojo.moduleUrl("dm.analysis.app", "graphics/icons/impact.gif") //$NON-NLS-1$ //$NON-NLS-2$
			});
			menu.addItemByArgs({
				label: messages.createAnalysisConfig,
				onClick: function(){
					AnalysisUtil.createAnalysisConfig();
				},
				//href: AnalysisUtil.getNewAnalysisConfigUri(),
				icon: dojo.moduleUrl("dm.analysis.app", "graphics/icons/ia_filter.gif") //$NON-NLS-1$ //$NON-NLS-2$
			});
			menu.addItemByArgs({
				label: messages.createAnalysisProfile,
				onClick: function(){
					AnalysisUtil.createAnalysisProfile();
				},
				//href: AnalysisUtil.getNewAnalysisProfileUri(),
				icon: dojo.moduleUrl("dm.analysis.app", "graphics/icons/ia_profile.gif") //$NON-NLS-1$ //$NON-NLS-2$
			});
		}
	}
});

})();